<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.15 $
 * $Author: tora60 $
 * $Date: 2011-04-13 22:51:03 $
 */

defined('mxMainFileLoaded') or die('access denied');




/**
 * in $newheader ist der gesamte angepasste header enthalten
 */
function theme_header($newheader, &$siteservice, &$debugservice)
{
    global $theme_template, $themesetting;
    /* den body-Tag hinter head-Ende setzen >> nicht veraendern !! */
    $newheader .= "\n</head>\n\n" . $theme_template['body_tag'] . "\n\n";
    // ersetzen von eigenen Theme-Elementen, kann veraendert und ergaenzt werden
    // diese Teile werden vor der Ausgabe des headers im Headbereich ersetzt
    $newheader = theme_replace_header($newheader);

    return $newheader;
}

/**
 * parsen der Seiten-Bloecke
 */
function themesidebox($title, $content, $block = array(), $noecho = 0)
{
    global $theme_template;
    if (empty($block)) {
        $block['position'] = "l";
    }
    $out = ($block['position'] == "r") ? $theme_template['block_right'] : $theme_template['block_left'];
    $out = str_replace('{BLOCK_CONTENT}' , $content , $out);
    $out = str_replace('{BLOCK_TITLE}' , $title , $out);
    if ($noecho) {
        return $out;
    } else {
        echo $out;
    }
}

/**
 * parsen der Center-Bloecke
 */
function thememiddlebox($title, $content, $block = array(), $noecho = 0)
{
    global $theme_template;
    if (empty($block)) {
        $block['position'] = "c";
    }
    $out = ($block['position'] == "d") ? $theme_template['block_center_down'] : $theme_template['block_center_top'];
    $out = str_replace('{BLOCK_CONTENT}' , $content , $out);
    $out = str_replace('{BLOCK_TITLE}' , $title , $out);
    if ($noecho) {
        return $out;
    } else {
        echo $out;
    }
}

/**
 * News Modul Artikelliste (index.php)
 * $x bedeutet: nicht verwendet, nur zur nuke-Modulkompatibilitaet
 */
function themeindex($x, $x, $x, $x, $x, $x, $x, $x, $x, $x, $x, $x, $story = array())
{
    // $x bedeutet: nicht verwendet, nur zur nuke-Modulkompatibilitaet
    global $theme_template;
    static $viewcounter;
    // nur eine Spalte zulassen :-)
    $GLOBALS['storyhome_cols'] = 1;
    if (!isset($viewcounter) || ($viewcounter == 2)) $viewcounter = 0;
    $viewcounter++;
    // mxDebugFuncVars($story);
    $buttons = getThemeIndexButtons($story);
    $story['buttons'] = "<table width='20' border='0' cellspacing='0' cellpadding='0'><tr><td width='1%' valign='top'>" . implode("</td>\n<td width='1%' valign='top'>", $buttons) . "</tr></table>";
    $bmore = ($story['allmorelink']['bodycount']) ? "(" . $story['allmorelink']['bodycount'] . " " . _BYTESMORE . ")" : "";
    $story['readmore'] = (empty($bmore)) ? "" : "<span title='" . $bmore . "'>" . $story['allmorelink']['more'] . "</span>";
    $topicimage_pos = ($viewcounter == 1) ? 'left' : 'right';
    $topicimage_pad = ($viewcounter == 1) ? 'right' : 'left';
    $topicimage = ($GLOBALS['storyhome_cols'] == 1) ? mxCreateImage($GLOBALS['tipath'] . $story['topicimage'], _TOPIC . ": " . $story['topictext'], 0, "align=\"" . $topicimage_pos . "\" style='padding-" . $topicimage_pad . ": 20px; padding-bottom: 10px;'") : "";
    $cattitle = (empty($story['cattitle'])) ? "" : " <span style='font-weight: normal;'>(" . $story['allmorelink']['categorie'] . ")</span>";
    $authorinfo = (empty($story['informant']) || $story['informant'] == $GLOBALS['anonymous']) ? theme_adminname($story) : " " . $story['allmorelink']['informantlink'] . $story['informant'] . "</a>";
    $story['content'] = "<a href='modules.php?name=News&amp;topic=" . $story['topic'] . "'>" . $topicimage . "</a>\n" . $story['hometext'] . "\n";
    $story['infoline'] = ($GLOBALS['storyhome_cols'] == 1) ? _NEWSSUBMITED . " " . $authorinfo . " " . $story['allmorelink']['datetime'] : $story['datetime'];
    $story['title'] = strip_tags($story['title']) . $cattitle;
    // die oben definierten Variablen in dem passenden templateteil ersetzen
    $artvars = theme_define_content();
    echo theme_replace_vars($theme_template[$artvars['themeindex'][$viewcounter]], $story);
    return;
}

/**
 * News Modul Artikelansicht (article.php)
 * $x bedeutet: nicht verwendet, nur zur nuke-Modulkompatibilitaet
 */
function themearticle($x, $x, $x, $x, $x, $x, $x, $x, $x, $story = array())
{
    // $x bedeutet: nicht verwendet, nur zur nuke-Modulkompatibilitaet
    global $theme_template;
    // mxDebugFuncVars($story);
    // das Topic-Bild
    $topicimage = mxCreateImage($GLOBALS['tipath'] . $story['topicimage'], $story['topictext'], 0, "align='left' style='padding-right: 20px; padding-bottom: 10px;'");
    $notes = (empty($story['notes'])) ? "" : '<div style="font-style: italic;">' . $story['notes'] . '</div>';
    $authorinfo = (empty($story['informant']) || $story['informant'] == $GLOBALS['anonymous']) ? theme_adminname($story) : " " . $story['allmorelink']['informantlink'] . $story['informant'] . "</a>";
    $story['infoline'] = ($GLOBALS['storyhome_cols'] == 1) ? _NEWSSUBMITED . " " . $authorinfo . " " . $story['allmorelink']['datetime'] : $story['datetime'];
    $story['title'] = strip_tags($story['title']);
    $story['content'] = "<a href='modules.php?name=News&amp;topic=" . $story['topic'] . "'>" . $topicimage . "</a>\n" . $story['hometext'] . "<br />\n" . $story['bodytext'] . $notes;
    // die oben definierten Variablen in dem passenden templateteil ersetzen
    echo theme_replace_vars($theme_template['themearticle'], $story);
    return;
}




/**
 * spezielle Themefunktionen und Bereichsdefinitionen
 */
include_once(dirname(__FILE__) . '/functions.php');

/**
 * die themeEngine laden
 */
include_once(PMX_SYSTEM_DIR . '/mx_themes.php');
/**
 * bei Bedarf den Dokumenttyp anpassen :)
 */
// if (!theme_check_xhtmldoctype()) {
// $GLOBALS['DOCTYPE'] = 3;
// }
